build:
  image: docker
  stage: build
  services:
    - docker:dind
  script:
    - export TIMESTAMP=$(echo "$CI_COMMIT_TIMESTAMP" | cut -c 1-19)
    - export VERSION=$(echo "$TIMESTAMP" | sed "s/:/-/g")_$CI_COMMIT_SHORT_SHA
    - export IMAGE_TAG=$CI_REGISTRY_IMAGE:$VERSION
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG .
    - docker push $IMAGE_TAG
